Subject: Re: [PATCH net-next v1 0/9] Ethernet Cable test support

From: Andrew Lunn <[email-masked]>
Date: Thu, 30 Apr 2020 20:23:31 +0200

> Ok. I do have one problem. TDR works fine for the AR8031 and the
> BCM54140 as long as there is no link partner, i.e. open cable,
> shorted pairs etc. But as soon as there is a link partner and a
> link, both PHYs return garbage. As far as I understand TDR, there
> must not be a link, correct?

Correct.

The Marvell PHY will down the link and then wait 1.5 seconds before
starting TDR, if you set a bit. I _think_ it downs the link by turning
off autoneg.

Maybe there is some hints in 802.3 clause 22?

      Andrew